Bug 840235 - kernels 3.5.0 fail to recognize hard disks on a system and consequently do not boot
kernels 3.5.0 fail to recognize hard disks on a system and consequently do no...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 13:12 EDT by Michal Jaegermann
Modified: 2012-07-24 19:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-24 19:59:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from a "normal" boot (with a USB memory attached) (37.57 KB, text/plain)
2012-07-14 13:14 EDT, Michal Jaegermann
no flags Details
dmesg for 3.4.0-0.rc4.git2.1.fc18.x86_64 where disks are recognized (61.13 KB, text/plain)
2012-07-14 13:22 EDT, Michal Jaegermann
no flags Details
dmesg for 3.5.0-1.fc18.x86_64 which notices disks again (49.83 KB, text/plain)
2012-07-24 19:59 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2012-07-14 13:12:58 EDT
Description of problem:

Booting 3.5.0-... kernels results in all hard disks "not there".  Not surprisingly this makes booting, ahem, difficult.

An additional kernel parameter pci=nomsi makes disks recognizable again but why this and not something else it is hard to guess.

Version-Release number of selected component (if applicable):
kernel-3.5.0-0.rc6.git3.1.fc18.x86_64

How reproducible:
always

Additional info:
/dev/sda for 3.5.0-0.rc6.git3.1.fc18.x86_64, as seen in an attached dmesg, comes from a recognition of a USB memory stick which I used to get a copy of an output.

I tried yesterday with 3.5.0-0.rc6.git2.1.fc18.x86_64 kernel and results were exactly the same.  I was away for a while so the next older kernel I have on hands is 3.4.0-0.rc4.git2.1.fc18.x86_64 which does see disks (dmesg output attached for comparisons).  No idea when this failure showed up for the first time.
Comment 1 Michal Jaegermann 2012-07-14 13:14:25 EDT
Created attachment 598263 [details]
dmesg from a "normal" boot (with a USB memory attached)
Comment 2 Michal Jaegermann 2012-07-14 13:21:04 EDT
Oops!  Contrary to what I wrote 'pci=nomsi' does not help.  I made a mistake and booted an old kernel.
Comment 3 Michal Jaegermann 2012-07-14 13:22:21 EDT
Created attachment 598264 [details]
dmesg for 3.4.0-0.rc4.git2.1.fc18.x86_64 where disks are recognized
Comment 4 Michal Jaegermann 2012-07-20 13:29:56 EDT
So far none of kernel-3.5.0 kernels sees any disks.  The last one tried was
3.5.0-0.rc7.git2.2.fc18.x86_64
Comment 5 Michal Jaegermann 2012-07-24 19:59:12 EDT
Created attachment 600183 [details]
dmesg for 3.5.0-1.fc18.x86_64 which notices disks again

Kernel 3.5.0-1.fc18.x86_64 started to recognize hard disks again. An output from dmesg for this kernel is attached for completness.

Note You need to log in before you can comment on or make changes to this bug.